CVE-2010-0410

medium
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

drivers/connector/connector.c in the Linux kernel before 2.6.32.8 allows local users to cause a denial of service (memory consumption and system crash) by sending the kernel many NETLINK_CONNECTOR messages.

References

http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=f98bfbd78c37c5946cc53089da32a5f741efdeb7

http://lists.fedoraproject.org/pipermail/package-announce/2010-February/035070.html

http://lists.fedoraproject.org/pipermail/package-announce/2010-February/035159.html

http://lists.opensuse.org/opensuse-security-announce/2010-03/msg00000.html

http://lists.opensuse.org/opensuse-security-announce/2010-03/msg00006.html

http://lists.opensuse.org/opensuse-security-announce/2010-03/msg00007.html

http://secunia.com/advisories/38492

http://secunia.com/advisories/38557

http://secunia.com/advisories/38779

http://secunia.com/advisories/38922

http://secunia.com/advisories/39033

http://secunia.com/advisories/39649

http://secunia.com/advisories/39742

http://secunia.com/advisories/43315

http://support.avaya.com/css/P8/documents/100088287

http://www.debian.org/security/2010/dsa-1996

http://www.debian.org/security/2010/dsa-2005

http://www.kernel.org/pub/linux/kernel/v2.6/ChangeLog-2.6.32.8

http://www.mandriva.com/security/advisories?name=MDVSA-2010:088

http://www.novell.com/linux/security/advisories/2010_23_kernel.html

http://www.openwall.com/lists/oss-security/2010/02/03/1

http://www.openwall.com/lists/oss-security/2010/02/03/3

http://www.redhat.com/support/errata/RHSA-2010-0161.html

http://www.redhat.com/support/errata/RHSA-2010-0398.html

http://www.securityfocus.com/archive/1/516397/100/0/threaded

http://www.securityfocus.com/bid/38058

http://www.ubuntu.com/usn/USN-914-1

http://www.vmware.com/security/advisories/VMSA-2011-0003.html

http://www.vupen.com/english/advisories/2010/0638

https://bugzilla.redhat.com/show_bug.cgi?id=561682

https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A10903

Details

Source: MITRE

Published: 2010-02-22

Updated: 2018-11-16

Type: CWE-399

Risk Information

CVSS v2

Base Score: 4.9

Vector: AV:L/AC:L/Au:N/C:N/I:N/A:C

Impact Score: 6.9

Exploitability Score: 3.9

Severity: MEDIUM

Tenable Plugins

View all (22 total)

IDNameProductFamilySeverity
89674VMware ESX / ESXi Third-Party Libraries Multiple Vulnerabilities (VMSA-2011-0003) (remote check)NessusMisc.
critical
68037Oracle Linux 5 : kernel (ELSA-2010-0398)NessusOracle Linux Local Security Checks
high
60788Scientific Linux Security Update : kernel on SL 5.0-5.4 i386/x86_64NessusScientific Linux Local Security Checks
high
59148SuSE 10 Security Update : Linux kernel (ZYPP Patch Number 7015)NessusSuSE Local Security Checks
high
59146SuSE 10 Security Update : Linux kernel (x86_64) (ZYPP Patch Number 6929)NessusSuSE Local Security Checks
high
51971VMSA-2011-0003 : Third-party component updates for VMware vCenter Server, vCenter Update Manager, ESXi and ESXNessusVMware ESX Local Security Checks
high
49870SuSE 10 Security Update : Linux kernel (x86) (ZYPP Patch Number 6925)NessusSuSE Local Security Checks
high
48181Mandriva Linux Security Advisory : kernel (MDVSA-2010:088)NessusMandriva Local Security Checks
medium
47271Fedora 11 : kernel-2.6.30.10-105.2.23.fc11 (2010-1804)NessusFedora Local Security Checks
medium
47270Fedora 12 : kernel-2.6.31.12-174.2.19.fc12 (2010-1787)NessusFedora Local Security Checks
critical
46759CentOS 5 : kernel (CESA-2010:0398)NessusCentOS Local Security Checks
high
46307RHEL 5 : kernel (RHSA-2010:0398)NessusRed Hat Local Security Checks
high
46252SuSE 10 Security Update : Linux kernel (ZYPP Patch Number 7011)NessusSuSE Local Security Checks
high
45128openSUSE Security Update : kernel (kernel-2146)NessusSuSE Local Security Checks
high
45081Ubuntu 6.06 LTS / 8.04 LTS / 8.10 / 9.04 / 9.10 : linux, linux-source-2.6.15 vulnerabilities (USN-914-1)NessusUbuntu Local Security Checks
medium
45010openSUSE Security Update : kernel (kernel-2089)NessusSuSE Local Security Checks
high
44966SuSE 11 Security Update : Linux kernel (SAT Patch Numbers 2040 / 2043 / 2044)NessusSuSE Local Security Checks
critical
44964openSUSE Security Update : kernel (kernel-2050)NessusSuSE Local Security Checks
critical
44951Debian DSA-2005-1 : linux-2.6.24 - privilege escalation/denial of service/sensitive memory leakNessusDebian Local Security Checks
critical
44867Debian DSA-2003-1 : linux-2.6 - privilege escalation/denial of serviceNessusDebian Local Security Checks
high
44860Debian DSA-1996-1 : linux-2.6 - privilege escalation/denial of service/sensitive memory leakNessusDebian Local Security Checks
critical
801490CentOS RHSA-2010-0398 Security CheckLog Correlation EngineGeneric
high